Documentation · API reference
POST/api/v1/sites/{site}/reset

Drop everything counted for a site and keep the site

Drop everything counted for a site and keep the site. Typed to confirm.

Parameters

sitein the address
neededA site's id or name
confirmin the address
needed
fromin the address
neededThe first day to delete, `2026-03-01`. With `to`. Without both, everything counted is deleted.
toin the address
needed

The answer

Status 204

Asking

With your token from Settings
curl -X POST https://tidekeeper.eu/api/v1/sites/example.org/reset \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN"
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/sites/example.org/reset", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
  },
}).then((r) => r.json());